summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman2020-12-14 06:18:41 +0100
committer Matteo Bernardini2021-03-06 10:53:14 +0100
commit24c0ef4b45759b32f82f884de0b43c0a6b40f15e (patch)
tree426684bb26081ae1b984fb26f14d165056d260e5
parent910c809ae55ea46da7c0b287ce989e1b8b4c6914 (diff)
downloadslackbuilds-spice-protocol.tar.gz
development/spice-protocol: Updated for version 0.14.3.spice-protocol
Signed-off-by: Robby Workman <rworkman@slackbuilds.org> Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--development/spice-protocol/spice-protocol.SlackBuild29
-rw-r--r--development/spice-protocol/spice-protocol.info6
2 files changed, 25 insertions, 10 deletions
diff --git a/development/spice-protocol/spice-protocol.SlackBuild b/development/spice-protocol/spice-protocol.SlackBuild
index db12ac575f..0cddd052cf 100644
--- a/development/spice-protocol/spice-protocol.SlackBuild
+++ b/development/spice-protocol/spice-protocol.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=spice-protocol
-VERSION=${VERSION:-0.14.0}
+VERSION=${VERSION:-0.14.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -42,7 +42,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -51,11 +51,26 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-./configure \
- --prefix=/usr
-
-make
-make install DESTDIR=$PKG
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/development/spice-protocol/spice-protocol.info b/development/spice-protocol/spice-protocol.info
index 9bec7adafc..0f24d0fd55 100644
--- a/development/spice-protocol/spice-protocol.info
+++ b/development/spice-protocol/spice-protocol.info
@@ -1,8 +1,8 @@
PRGNAM="spice-protocol"
-VERSION="0.14.0"
+VERSION="0.14.3"
HOMEPAGE="https://www.spice-space.org"
-DOWNLOAD="https://www.spice-space.org/download/releases/spice-protocol-0.14.0.tar.bz2"
-MD5SUM="773a6b31df105a6b3c470eba201bed34"
+DOWNLOAD="https://www.spice-space.org/download/releases/spice-protocol-0.14.3.tar.xz"
+MD5SUM="950e08044497ca9cf64e368cb3ceb395"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""